public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Daniel Campbell" <zlg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-im/toxic/
Date: Wed, 30 Aug 2017 17:19:38 +0000 (UTC)	[thread overview]
Message-ID: <1504113550.7fed3b7bd8ce67da8fd79bbf1845fe6a32933dda.zlg@gentoo> (raw)

commit:     7fed3b7bd8ce67da8fd79bbf1845fe6a32933dda
Author:     Daniel Campbell <zlg <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 30 17:01:51 2017 +0000
Commit:     Daniel Campbell <zlg <AT> gentoo <DOT> org>
CommitDate: Wed Aug 30 17:19:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fed3b7b

net-im/toxic: version bump to 0.8.0

Version 0.8.0 brings Python 3.x support.

Reviewed-by: Mike Gilbert <floppym <AT> gentoo.org>
Package-Manager: Portage-2.3.6, Repoman-2.3.3

 net-im/toxic/Manifest           |  1 +
 net-im/toxic/metadata.xml       |  3 +-
 net-im/toxic/toxic-0.8.0.ebuild | 65 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 68 insertions(+), 1 deletion(-)

diff --git a/net-im/toxic/Manifest b/net-im/toxic/Manifest
index 68d91471705..c56d07a007d 100644
--- a/net-im/toxic/Manifest
+++ b/net-im/toxic/Manifest
@@ -1,2 +1,3 @@
 DIST toxic-0.7.1.tar.gz 1137112 SHA256 414ca2cd369e277872c7248c43f82afa0ac2f6c8fa5fc8e93f7c3e8ab6d11b9c SHA512 c304b07a67ed27a25394590eb8759b5dd957605be4eb9e64590d4580da0977e1cd201e8b95ae1b31e995772560510ceb0643028696e2df69e1f5d0dff575b553 WHIRLPOOL 228193bb78bf38bd5f5f5ff371a87f12561edcb5729337b58198df36e5ec55b99f2c2ca84f5b471846e7f84445f1c5181c5fa71ff287f62d5e34f833a45747d6
 DIST toxic-0.7.2.tar.gz 1136947 SHA256 a2962aca766caf84b52a52e9a5ce2276a9d3906685f565d2a00551e7c2916c59 SHA512 cf3fd0afdc63aa4d2039e08a8f9f32a042a6412f0a242823205fcf058f56e732468389d4bdf614ded8b0d9704b05a315044ee216edd51546501a24be0b6d5b26 WHIRLPOOL 47b5ee57a38084ea7dcff12cac77b05a2d8d486f0ecaffe5e5db11825338a785a96563e10abcb788accea527d2da6f690b326628dd09601d2bf002f69cc60de3
+DIST toxic-0.8.0.tar.gz 1145799 SHA256 4078167ff09a94a78cd46d55163524b0a6692b56a74458c99093b84316a6c604 SHA512 3c59edb61b1bcdbfa3a8391a1a1ceccc6c9c38b49c1709813d60480b180fb39607806116b9dcd1de35ebb02e23e95d78c8191f04a4875e06e27fa43bc9800b33 WHIRLPOOL 3b99ab4720c5360ce531db210a23e830eb99be70836fb7ef9d7604b526f26a7fd92dfd4ab26d1cbdb642371cc98a646aad9f4527b7c2c9f2da50f2347ab7a74e

diff --git a/net-im/toxic/metadata.xml b/net-im/toxic/metadata.xml
index 4032c8812a4..4a6dc2b6463 100644
--- a/net-im/toxic/metadata.xml
+++ b/net-im/toxic/metadata.xml
@@ -8,7 +8,7 @@
 	<upstream>
 		<maintainer>
 			<email>jfreegman@tox.chat</email>
-			<name>JFreegman</name>
+			<name>Jakob Kreuze</name>
 		</maintainer>
 		<remote-id type="github">jfreegman/toxic</remote-id>
 	</upstream>
@@ -18,5 +18,6 @@
 	<use>
 		<flag name="notifications">Enables desktop notifications with libnotify</flag>
 		<flag name="av">Enables audio calling and/or audio notifications</flag>
+		<flag name="qrcode">Enables QR code support</flag>
 	</use>
 </pkgmetadata>

diff --git a/net-im/toxic/toxic-0.8.0.ebuild b/net-im/toxic/toxic-0.8.0.ebuild
new file mode 100644
index 00000000000..c8827675bcf
--- /dev/null
+++ b/net-im/toxic/toxic-0.8.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_4 python3_5 python3_6 )
+
+inherit python-single-r1
+
+DESCRIPTION="A curses-based client for Tox."
+HOMEPAGE="https://github.com/JFreegman/toxic"
+SRC_URI="https://github.com/JFreegman/toxic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+X +av notifications +python +qrcode"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	net-libs/tox:0/0.1[av?]
+	dev-libs/libconfig
+	net-misc/curl:0=
+	sys-libs/ncurses:0=
+	av? ( media-libs/openal media-libs/freealut )
+	notifications? ( x11-libs/libnotify )
+	python? ( ${PYTHON_DEPS} )
+	qrcode? ( media-gfx/qrencode )
+"
+DEPEND="
+	virtual/pkgconfig
+	${RDEPEND}
+"
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+	if ! use av; then
+		export DISABLE_AV=1
+		export DISABLE_SOUND_NOTIFY=1
+	fi
+	if ! use X; then
+		export DISABLE_X11=1
+	fi
+	if ! use notifications; then
+		export DISABLE_DESKTOP_NOTIFY=1
+	fi
+	if ! use qrcode; then
+		export DISABLE_QRPNG=1
+	fi
+	if use python; then
+		export ENABLE_PYTHON=1
+	fi
+	sed -i \
+		-e "s,/usr/local,${EPREFIX}/usr,g" \
+		cfg/global_vars.mk || die "PREFIX sed failed"
+}
+
+src_install() {
+	default
+	if ! use av; then
+		rm -r "${ED%/}"/usr/share/${PN}/sounds || die "Could not remove sounds directory"
+	fi
+}


             reply	other threads:[~2017-08-30 17:19 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-30 17:19 Daniel Campbell [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-25 20:47 [gentoo-commits] repo/gentoo:master commit in: net-im/toxic/ Jimi Huotari
2025-01-25 20:47 Jimi Huotari
2024-11-22 15:43 Joonas Niilola
2024-11-21  6:45 Sam James
2024-07-30 19:09 Pacho Ramos
2024-07-30 19:09 Pacho Ramos
2024-07-30 19:09 Pacho Ramos
2024-07-30 19:09 Pacho Ramos
2023-12-18  7:13 Joonas Niilola
2023-12-18  4:51 Sam James
2023-04-10  8:10 Joonas Niilola
2023-04-10  8:10 Joonas Niilola
2021-12-10 22:17 Jakov Smolić
2021-12-10 16:26 Jakov Smolić
2021-08-24  8:50 Joonas Niilola
2021-08-24  8:50 Joonas Niilola
2021-06-10  8:13 Joonas Niilola
2021-01-02  0:49 Sam James
2021-01-02  0:49 Sam James
2020-12-16  8:29 Joonas Niilola
2020-12-16  8:29 Joonas Niilola
2020-12-16  8:29 Joonas Niilola
2020-09-04 20:53 Sam James
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:05 Agostino Sarubbo
2020-06-08  7:46 Joonas Niilola
2020-06-08  7:46 Joonas Niilola
2018-12-09  8:43 Michał Górny
2018-11-12 23:00 Andreas Sturmlechner
2018-08-12 16:58 Michał Górny
2017-12-13  9:03 Michael Palimaka
2017-12-12 21:46 Daniel Campbell
2017-09-28 22:11 Daniel Campbell
2017-02-24  1:06 Daniel Campbell
2017-02-22  9:21 Daniel Campbell
2016-12-19 20:17 Michał Górny
2016-10-28  8:00 Daniel Campbell

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1504113550.7fed3b7bd8ce67da8fd79bbf1845fe6a32933dda.zlg@gentoo \
    --to=zlg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox